<form name="form" novalidate>


    <div id="top_of_dialog">
        <strong>Nuovo Controllo Claim</strong>
    </div>

    <div style="margin-top: 15px">
        <table class="table table-bordered blockContainer showInlineTable td-label-40">
            <thead>
                <tr>
                    <th class="blockHeader" colspan="2">Parametri di selezione</th>
                </tr>
            </thead>
            <tbody>

                <tr>
                    <td class="fieldLabel medium">
                        <label class="muted pull-right marginRight10px">
                            <span class="redColor" ng-show="form.codiceUUIDModel.$invalid">*</span>
                            <strong>CODICE UUID</strong>
                        </label>
                    </td>
                    <td class="fieldValue medium">
                        <div class="row-fluid">
                            <span class="span10">
                                <input type="text" maxlength="500" name="codiceUUIDModel" class="form-control n-input"
                                    id="title" placeholder="Codice UUID" ng-model="codiceUUID" required>
                            </span>
                        </div>
                    </td>

                </tr>

                <tr>
                    <td class="fieldLabel medium">
                        <label class="muted pull-right marginRight10px">
                            <span class="redColor" ng-show="form.dspModel.$invalid">*</span>
                            <strong>DSP</strong>
                        </label>
                    </td>
                    <td class="fieldValue medium">
                        <div class="row-fluid">
                            <span class="span10">
                                <select name="dspModel" id="dsp" ng-model="dsp" class="n-input"
                                    ng-options="item as item.name for item in ctrl.dspList" required>
                                </select>
                            </span>
                        </div>
                    </td>
                </tr>
                <td class="fieldLabel medium">
                    <label class="muted pull-right marginRight10px">
                        <span class="redColor" ng-show="form.utilizationTypeModel.$invalid">*</span>
                        <strong> TIPO UTILIZZO</strong>
                    </label>
                </td>
                <td class="fieldValue medium">
                    <div class="row-fluid">
                        <span class="span10">
                            <select name="utilizationTypeModel" id="utilizationType" ng-disabled="dsp === undefined"
                                ng-model="utilizationType" class="n-input"
                                ng-options="item as item.name for item in ctrl.utilizationsList | filter: filterUtilizationByDsp(dsp)"
                                required>
                            </select>
                        </span>
                    </div>
                </td>
                <tr>
                    <td class="fieldLabel medium">
                        <label class="muted pull-right marginRight10px">
                            <span class="redColor" ng-show="form.selectedOfferModel.$invalid">*</span>
                            <strong> OFFERTA COMMERCIALE</strong>

                        </label>
                    </td>
                    <td class="fieldValue medium">
                        <div class="row-fluid">
                            <span class="span10">
                                <select name="selectedOfferModel" id="selectedOffer" required class="n-input"
                                    ng-disabled="utilizationType === undefined" ng-model="selectedOffer"
                                    ng-options="item as item.offering for item in ctrl.commercialOffersList  | filter: filterOffersByDspAndUtilization(dsp, utilizationType)">
                                </select>
                            </span>
                        </div>
                    </td>

                </tr>
                <tr>
                <tr>
                    <td class="fieldLabel medium">
                        <label class="muted pull-right marginRight10px">
                            <span class="redColor" ng-show="form.countryModel.$invalid">*</span>
                            <strong>TERRITORIO</strong>
                        </label>
                    </td>
                    <td class="fieldValue medium">
                        <div class="row-fluid">
                            <span class="span10">
                                <select name="countryModel" id="country" ng-model="country" class="n-input"
                                    ng-options="item as item.name  for item in ctrl.countriesList" required>
                                </select>
                            </span>
                        </div>
                    </td>
                </tr>
                </tr>


                <tr>
                    <td class="fieldLabel medium">
                        <label class="muted pull-right marginRight10px">
                            <span class="redColor" ng-show="form.demModel.$invalid">*</span>
                            <strong>% DEM - CLAIM</strong>
                        </label>
                    </td>
                    <td class="fieldValue medium">
                        <div class="row-fluid">
                            <span class="span10">
                                <input type="number" name="demModel" min="0" max="100" class="n-perc-input form-control"
                                    id="title" placeholder="% DEM - CLAIM" ng-model="dem" required>
                                <!-- <input perc-validation compare-with="{{form.drmModel.$$rawModelValue}}"
                                    ng-pattern="from0To100" required type="number" name="demModel"
                                    class="n-perc-input form-control" id="title" placeholder="% DEM - CLAIM"
                                    ng-focus="focus = focus === undefined ? true : focus" ng-model="dem" required> -->
                                <span>%</span>
                                <div class="custom-error" ng-show="form.demModel.$error.max || form.demModel.$error.min"
                                    style="color: red; font-size:14px;">
                                    Numero non valido!</div>
                                <!-- <div class="custom-error"
                                    ng-show="form.demModel.$error.percValidation && form.drmModel.$$rawModelValue && focus === false"
                                    style="color: red; font-size:14px;">
                                    La % DEM sommata alla % DRM deve essere pari a 100!</div> -->
                            </span>
                        </div>
                    </td>

                </tr>

                <tr>
                    <td class="fieldLabel medium">
                        <label class="muted pull-right marginRight10px">
                            <span class="redColor" ng-show="form.drmModel.$invalid">*</span>
                            <strong>% DRM - CLAIM</strong>

                        </label>
                    </td>
                    <td class="fieldValue medium">
                        <div class="row-fluid">
                            <span class="span10">
                                <input type="number" name="drmModel" min="0" max="100" class="n-perc-input form-control"
                                    id="title" placeholder="% DRM - CLAIM" ng-model="drm" required>
                                <!-- <input perc-validation compare-with="{{form.demModel.$$rawModelValue}}"
                                    ng-pattern="from0To100" required type="number" name="drmModel"
                                    ng-focus="focus = focus === undefined ? true : focus" ng-blur="focus = false"
                                    class="n-perc-input form-control" id="title" placeholder="% DRM - CLAIM"
                                    ng-model="drm" required> -->
                                <span>%</span>
                                <div class="custom-error" ng-show="form.drmModel.$error.max || form.drmModel.$error.min"
                                    style="color: red; font-size:14px;">
                                    Numero non valido!</div>
                                <!-- <div class="custom-error"
                                    ng-show="form.drmModel.$error.percValidation && form.demModel.$$rawModelValue && focus === false"
                                    style="color: red; font-size:14px;">
                                    La % DEM sommata alla % DRM deve essere pari a 100!</div> -->
                            </span>
                        </div>
                    </td>

                </tr>

                <tr>
                    <td class="fieldLabel medium"><label class="muted pull-right marginRight10px">
                            <span class="redColor" ng-show="form.periodoDaModel.$invalid">*</span>
                            <strong> PERIODO DA </strong></label></td>
                    <td class="fieldValue medium">
                        <div class="row-fluid claim-date">
                            <input required name="periodoDaModel" type="hidden" ng-model="periodoDa" date-model="min"
                                date-validation date-from="periodoDa" date-to="periodoA" date-to-value="{{periodoA}}">

                            <datepicker claim-input data-end-date="12-3000" date-value="periodoDa"
                                data-placeholder="mm-aaaa" data-format="mm-yyyy" data-language="it"
                                data-view-mode="months" data-min-view-mode="months" data-orientation="top auto"
                                data-autoclose="true">
                            </datepicker>
                            <div class="custom-error"
                                ng-show="form.periodoDaModel.$error.dateValidation && periodoDa && periodoA"
                                style="color: red; font-size:14px;">
                                PERIODO DA non può essere successivo al PERIODO A</div>
                    </td>
                </tr>
                <tr>
                    <td class="fieldLabel medium"><label class="muted pull-right marginRight10px">
                            <span class="redColor" ng-show="form.periodoAModel.$invalid">*</span>
                            <strong>PERIODO A </strong></label></td>
                    <td class="fieldValue medium">
                        <div class="row-fluid claim-date">
                            <input name="periodoAModel" required type="hidden" ng-model="periodoA" date-validation
                                date-model="max" date-from="periodoDa" date-to="periodoA"
                                date-from-value="{{periodoDa}}">

                            <datepicker class="claim-input" data-end-date="12-3000" date-value="periodoA"
                                data-placeholder="mm-aaaa" data-format="mm-yyyy" data-language="it"
                                data-view-mode="months" data-min-view-mode="months" data-orientation="top auto"
                                data-autoclose="true">
                            </datepicker>
                            <div class="custom-error"
                                ng-show="form.periodoAModel.$error.dateValidation && periodoDa && periodoA"
                                style="color: red; font-size:14px;">
                                PERIODO DA non può essere successivo al PERIODO A<div>
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div style="margin-top: 15px">
        <table width="100%">
            <tr>
                <td>
                    <button type="button" class="btn addButton" ng-click="cancel()">
                        <span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Annulla</strong>
                    </button>
                </td>
                <td align="right">
                    <button ng-disabled="form.$invalid" class="btn addButton" ng-click="save()">
                        <span class="glyphicon glyphicon-plus"></span>&nbsp;&nbsp;<strong>{{actionLabel}}</strong>
                    </button>
                </td>
            </tr>
        </table>
    </div>

</form>
<script type="text/ng-template" id="errorDialogId">
        <div id="target"  >
            <strong>{{ngDialogData}}</strong>
        </div>
    </script>
<script type="text/javascript">
    $('#top_of_dialog')[0].scrollIntoView(true);
</script>